Package org.eclipse.lemminx.services.extensions.completion

## Class DOMElementCompletionItem

- java.lang.Object
- - org.eclipse.lsp4j.CompletionItem
  - - org.eclipse.lemminx.services.extensions.completion.AbstractElementCompletionItem<DOMElement,​Void>
    - - org.eclipse.lemminx.services.extensions.completion.DOMElementCompletionItem

    public class DOMElementCompletionItem
    extends AbstractElementCompletionItem<DOMElement,​Void>

Element completion item created from an existing element.

### Field Summary

### Fields inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractElementCompletionItem

`UPDATE_END_TAG_NAME_FIELD`

### Constructor Summary

Constructors
`DOMElementCompletionItem​(DOMElement element, ICompletionRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.lsp4j.MarkupContent` `generateDocumentation()` Returns the completion item documentation and null otherwise.
`protected String` `generateFullElementContent​(boolean generateEndTag)` Returns the full element content (ex : ).
`protected String` `getResolverParticipantId()` Returns the resolver participant id.

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractElementCompletionItem

`addResolveData, getGenerator, getRequest, getSourceElement, getTagName, hasContentAfterTagName, isElementClosed, updateEndTagName`

### Methods inherited from class org.eclipse.lsp4j.CompletionItem

`equals, getAdditionalTextEdits, getCommand, getCommitCharacters, getData, getDeprecated, getDetail, getDocumentation, getFilterText, getInsertText, getInsertTextFormat, getInsertTextMode, getKind, getLabel, getLabelDetails, getPreselect, getSortText, getTags, getTextEdit, getTextEditText, hashCode, setAdditionalTextEdits, setCommand, setCommitCharacters, setData, setDeprecated, setDetail, setDocumentation, setDocumentation, setDocumentation, setFilterText, setInsertText, setInsertTextFormat, setInsertTextMode, setKind, setLabel, setLabelDetails, setPreselect, setSortText, setTags, setTextEdit, setTextEditText, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMElementCompletionItem

    public DOMElementCompletionItem​(DOMElement element,
                                    ICompletionRequest request)

### Method Detail

#### generateFullElementContent

    protected String generateFullElementContent​(boolean generateEndTag)

Description copied from class: `AbstractElementCompletionItem`
Returns the full element content (ex : ).

Specified by:
  `generateFullElementContent` in class `AbstractElementCompletionItem<DOMElement,​Void>`
Parameters:
  `generateEndTag` - true if the element end tag must be generated and false otherwise.
Returns:
  the full element content (ex : ).

#### generateDocumentation

    protected org.eclipse.lsp4j.MarkupContent generateDocumentation()

Description copied from class: `AbstractElementCompletionItem`
Returns the completion item documentation and null otherwise.

Specified by:
  `generateDocumentation` in class `AbstractElementCompletionItem<DOMElement,​Void>`
Returns:
  the completion item documentation and null otherwise.

#### getResolverParticipantId

    protected String getResolverParticipantId()

Description copied from class: `AbstractElementCompletionItem`
Returns the resolver participant id.

Overrides:
  `getResolverParticipantId` in class `AbstractElementCompletionItem<DOMElement,​Void>`
Returns:
  the resolver participant id.